#include <Servo.h>  


Servo myservo;  // create servo object to control a servo   

Servo myservo2; // create second servo for second wall 


int pos9 = 90;    // variable to store the servo on pin 9’s position  

int pos13 = 90; // variable to store the servo on pin 13’s position 


void setup() {  

  myservo.attach(9);  // attaches the servo on pin 9 to the servo object  

  myservo2.attach(13); // attaches the servo on pin 13 to the servo object 

}  

void loop() {  

    for (pos9 = 65; pos9 <= 180 && pos13 >=0; pos9 += 1) { // goes from 65 degrees to 180 degrees in steps of 1 degree   

    myservo.write(pos9);    // tell servo on pin 9 to go to position in variable 'pos9' 

    myservo2.write(180 - pos9); 

    delay(20);                // waits 20 ms for the servo to reach the position  

  } 

  delay(2000); // keeps walls open for 2000 ms for cars to pass 

  

  //servo1 (pin9) will be at 180 

  //servo2 (pin13) will be at 0  

  

  int timer = 0; // timer variable initialized for servo attached on pin 13 

  for (pos9 = 180; pos9 >= 65; pos9 -= 1) { // goes from 180 degrees to 0 degrees  

    if (timer <= 100) { // loop that allows for servo on pin 13 to go from 180 to 100 

      timer += 1;  

      myservo2.write(timer);  

    }   

    myservo.write(pos9); // tell servo on pin 9 to go to position in variable 'pos9'  

    delay(20);        // waits 20 ms for the servo to reach the position   

  }  

  delay(2000); // keeps wall closed for 2000 ms to block cars 

} 